Try ERPNext Buy Support Partners Foundation

Help in Ubuntu 18.04.5 installation

Hi Guys,

Can you please help me, i got this error when i installed ERPNext via easy install script.

im new to Linux so please be patient with me.

i got this error when i was running $ sudo python3 install.py --production, how should i proceed?

Thanks!

Hi ,
you could follow this manual

and if you face any proplem please feedback

1 Like

Hey Edmund,

you need to change the locale of your system. You can run export LC_ALL=C.UTF-8 in the shell as it says.

You can read more about system locales on Ubuntu here:
https://lintut.com/how-to-set-up-system-locale-on-ubuntu-18-04/

1 Like

hi sir, can i get the exact version on Ubuntu for this? thanks.

(post withdrawn by author, will be automatically deleted in 24 hours unless flagged)

1 Like

Hi Edmund,
the error message indicates, that you have to set up the locale of your system, first. You can do this as Sebastian already mentioned. Another way is to set the environment before running the install script via:
sudo nano /etc/environment
Next, set add these entries:
LC_ALL=en_US.UTF-8
LC_CTYPE=en_US.UTF-8
LANG=en_US.UTF-8`

2 Likes

hi Sir, can i do this now and then re run the easy install script? or do i have to start over? Thanks!

You can set the locales and then just run the easy install script again.

thank you sir, my installation continued after setting the locales, :slight_smile: